Bug 228975

Summary: HTMLStyleElement should be able to fire the load event more than once
Product: WebKit Reporter: Chris Dumez <cdumez>
Component: DOMAssignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, changseok, darin, esprehn+autocc, ews-watchlist, ggaren, gyuyoung.kim, koivisto, sam, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Chris Dumez 2021-08-10 15:08:42 PDT
HTMLStyleElement should be able to fire the load event more than once. WebKit has a flag preventing the load event to fire more than once but this behavior is not present in the HTML specification and doesn't match other browsers.
Comment 1 Chris Dumez 2021-08-10 15:10:29 PDT
Created attachment 435301 [details]
Patch
Comment 2 Chris Dumez 2021-08-11 15:42:04 PDT
Comment on attachment 435301 [details]
Patch

cq- because I will delay landing this until it is safe to do so.
Comment 3 Radar WebKit Bug Importer 2021-08-17 15:09:23 PDT
<rdar://problem/82048699>
Comment 4 EWS 2021-08-23 07:50:54 PDT
Committed r281443 (240826@main): <https://commits.webkit.org/240826@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 435301 [details].